<div class="page-main-header" [class.open]="open">
    <div class="main-header-right row">
        <div class="main-header-left d-lg-none">
            <div class="logo-wrapper"><a [routerLink]="'/dashboard/default'"><img class="blur-up lazyloaded"
                        src="http://127.0.0.1:8887/{{user?.imageUrl}}" alt=""></a></div>
        </div>
        <div class="mobile-sidebar">
            <div class="media-body text-right switch-sm">
                <label class="switch">
                    <a>
                        <app-feather-icons id="sidebar-toggle" [icon]="'align-left'" (click)="collapseSidebar()">
                        </app-feather-icons>
                    </a>
                </label>
            </div>
        </div>
        <div class="nav-right col">

            <ul class="nav-menus" [ngClass]="{'open' : openNav}">
                <li *ngIf="isvendeur()">
                    <a class="btn btn-btn-success" data-toggle="modal" data-original-title="test"
                        data-target="#exampleModal" (click)="openn(content)"><span id="mouna">Contact Us</span></a>
                    <div class="btn-popup pull-right">

                        <ng-template #content let-modal>
                            <div class="modal-header">
                                <h5 class="modal-title f-w-600" id="exampleModalLabel">Contact Support </h5>
                                <button type="button" class="close" aria-label="Close"
                                    (click)="modal.dismiss('Cross click')">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">

                                <div class="modal-body">
                                    <form [formGroup]="addForm" class="needs-validation">
                                        <div class="form-group">
                                            <input type="text" formControlName="subject" class="form-control"
                                                placeholder="Subject">
                                        </div>
                                        <div class="form-group">
                                            <textarea formControlName="content" class="form-control"
                                                placeholder="Message" style="height: 120px;"></textarea>
                                        </div>
                                    </form>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-primary"
                                        (click)="Envoyermail();modal.dismiss('Cross click')">Sent</button>
                                    <button class="btn btn-secondary" type="button" data-dismiss="modal"
                                        (click)="modal.dismiss('Cross click')">Close</button>
                                </div>

                            </div>
                        </ng-template>
                    </div>
                </li>
                <li>
                    <a href="javascript:void(0)" class="text-dark" toggleFullscreen>
                        <app-feather-icons [icon]="'maximize-2'"></app-feather-icons>
                    </a>
                </li>

                <li class="onhover-dropdown" *ngIf="isadmin()">
                    <span
                        class="badge badge-pill badge-primary pull-right notification-badge">{{listpromo?.length}}</span>
                    <app-feather-icons [icon]="'bell'"></app-feather-icons><span class="dot"></span>
                    <ul class="notification-dropdown onhover-show-div">
                        <li>Notification <span class="badge badge-pill badge-primary pull-right"></span></li>
                        <li *ngFor="let promo of listpromo?.slice(0, 3);let  i=index" >
                            <div class="media"  (click)="updatePromo(promo,promo?.id)">
                                <div class="media-body">
                                    <h6 class="mt-0"><span>
                                            <app-feather-icons class="shopping-color" [icon]="'shopping-bag'">
                                            </app-feather-icons>
                                        </span>Vous avez récu des promos a confirmer
                                    </h6>
                                    <p class="mb-0">{{promo?.name}}</p>
                                </div>
                            </div>
                        </li>

                        <li class="txt-dark"><a routerLink="/promotions/notification">All</a> notification</li>
                    </ul>
                </li>

                <li class="onhover-dropdown">
                    <div class="media align-items-center"><img
                            class="align-self-center pull-right img-50 rounded-circle"
                            src="http://127.0.0.1:8887/{{user?.imageUrl}}" alt="header-user">

                        <div class="dotted-animation"><span class="animate-circle"></span><span
                                class="main-circle"></span></div>
                    </div>
                    <ul class="profile-dropdown onhover-show-div p-20 profile-dropdown-hover">
                        <li><a [routerLink]="'/settings/profile'">
                                <app-feather-icons [icon]="'user'"></app-feather-icons>Edit Profile
                            </a></li>
                        <li><a (click)="logout()">
                                <app-feather-icons [icon]="'log-out'"></app-feather-icons>Logout
                            </a></li>
                    </ul>
                </li>
            </ul>

        </div>
    </div>
</div>